| Flutter Linux Embedder |

Public Attributes | List of all members
_FlKeyEvent Struct Reference

`#include <fl_key_event.h>`

## Public Attributes
guint32 | time
bool | is_press
guint16 | keycode
guint | keyval
int | state
guint8 | group
const char * | string
gpointer | origin
FlKeyEventDisposeOrigin | dispose_origin

## Detailed Description

FlKeyEvent: A struct that stores information from GdkEvent.

This is a class only used within the GTK embedding, created by FlView and consumed by FlKeyboardManager. It is not sent to the embedder.

This object contains information from GdkEvent as well as an origin event object, so that Flutter can create an event object in unit tests even after migrating to GDK 4.0 which stops supporting creating GdkEvent.

Definition at line 31 of file fl_key_event.h.

## Member Data Documentation

## ◆ dispose_origin

FlKeyEventDisposeOrigin _FlKeyEvent::dispose_origin

Definition at line 56 of file fl_key_event.h.

Referenced by fl_key_event_dispose().

## ◆ group

guint8 _FlKeyEvent::group

Definition at line 43 of file fl_key_event.h.

## ◆ is_press

bool _FlKeyEvent::is_press

Definition at line 35 of file fl_key_event.h.

Referenced by fl_key_event_new_by_mock(), and fl_text_input_plugin_filter_keypress_default().

## ◆ keycode

guint16 _FlKeyEvent::keycode

Definition at line 37 of file fl_key_event.h.

Referenced by event_to_physical_key(), and guarantee_layout().

## ◆ keyval

guint _FlKeyEvent::keyval

Definition at line 39 of file fl_key_event.h.

Referenced by event_to_character(), fl_key_channel_responder_handle_event(), and fl_text_input_plugin_filter_keypress_default().

## ◆ origin

gpointer _FlKeyEvent::origin

Definition at line 52 of file fl_key_event.h.

Referenced by fl_key_event_dispose().

## ◆ state

int _FlKeyEvent::state

Definition at line 41 of file fl_key_event.h.

Referenced by fl_text_input_plugin_filter_keypress_default().

## ◆ string

const char* _FlKeyEvent::string

Definition at line 47 of file fl_key_event.h.

Referenced by fl_key_event_clone(), fl_key_event_dispose(), and fl_key_event_new_from_gdk_event().

## ◆ time

guint32 _FlKeyEvent::time

Definition at line 33 of file fl_key_event.h.

Referenced by fl_keyboard_manager_get_event_hash(), and fl_scrolling_manager_handle_scroll_event().

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_key_event.h